Bug 981165 - Failed to Upgrade to F19 with Fedup - Dracut_initqueue : Warning Could not boot
Failed to Upgrade to F19 with Fedup - Dracut_initqueue : Warning Could not boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: fedup (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 03:27 EDT by Michael
Modified: 2014-02-05 17:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:03:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael 2013-07-04 03:27:42 EDT
Description of problem:

My Fedora 18 system runs two software raid volumes:

/boot = /dev/md0
/dev/md1


I ran fedup-cli to upgrade to Fedora 19.  The pre-reboot process ran normally.  On reboot, the system exit to dracut rescue shell with error :

"Dracut_initqueue[214]: Warning : Could not boot /dev/VolGroup10/LogVol00 does not exist "

cat /proc/mdstat has not any information about assembled raid drives.

/etc/mdadm.conf has my current raid configuration file


blkid show me some volume information.


Trying lvm lvs or lvm pvdisplay,vgscan etc getting the following :
WARNING : Failed to connect to lvmetad: No such file or directory, Failing back to internal scanning. 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

When upgrade with Fedup to F18, suffer by : Bug 895805 - Software RAID root /dev/md1 assembled as /dev/md127 during fedup-upgrade boot, root mount fails. 

Override this bug including the mdstat.conf in the initramfs-fedup.img



My current system boot without problem when i choose F18 kernel.



My current fstab:


#
# /etc/fstab
# Created by anaconda on Fri Nov 14 19:37:17 2008
#
# Accessible filesystems, by reference, are maintained under '/dev/disk'
# See man pages fstab(5), findfs(8), mount(8) and/or vol_id(8) for more info
#
/dev/VolGroup10/LogVol00 /                       ext3    defaults        1 1
/dev/VolGroup10/LogVol02		/home		ext4	defaults	1 2
#/dev/md0                /boot                   ext3    defaults        1 2
UUID=efd24042-4ed5-438e-84f0-fe4abc4e8ee4                /boot                   ext3    defaults        1 2
/dev/VolGroup10/LogVol01 /var                    ext3    defaults        1 2
tmpfs                   /dev/shm                tmpfs   defaults        0 0
devpts                  /dev/pts                devpts  gid=5,mode=620  0 0
sysfs                   /sys                    sysfs   defaults        0 0
proc                    /proc                   proc    defaults        0 0
UUID=a6efc786-895a-4744-a6b9-1ac5079c8676 swap                    swap    defaults        0 0
UUID=99862119-097a-42bf-bca9-ee42f46699c7 swap                    swap    



kernel argument in Grub.conf 

...
echo 'Loading System Upgrade (fedup)'
	linux	/vmlinuz-fedup root=/dev/VolGroup10/LogVol00 ro quiet rhgb rdblacklist=nouveau noveau.modeset=0 vconsole.font=latarcyrheb-sun16 locale.LANG=en_US.UTF-8 vconsole.keymap=us nouveau.modeset=0 rd.driver.blacklist=nouveau video=vesa:off LANG=en_US.UTF-8 upgrade systemd.unit=system-upgrade.target plymouth.splash=fedup selinux=0
	initrd /initramfs-fedup.img

.....
echo 'Loading Fedora (3.9.6-200.fc18.x86_64)'
	linux	/vmlinuz-3.9.6-200.fc18.x86_64 root=/dev/VolGroup10/LogVol00 ro quiet rhgb rdblacklist=nouveau noveau.modeset=0 vconsole.font=latarcyrheb-sun16 locale.LANG=en_US.UTF-8 vconsole.keymap=us nouveau.modeset=0 rd.driver.blacklist=nouveau video=vesa:off LANG=en_US.UTF-8
	initrd /initramfs-3.9.6-200.fc18.x86_64.img
Comment 1 Michael 2013-07-08 03:52:16 EDT
After adding the proper /rd.md.uuid to the grub.conf the RAID drives assembled but then i have problem with the LVM Volumes, specifically the same with the : Bug 911939 - fedup boot fails, cannot find LVM volumes

Current Kernel argument in grub.conf :

linux	/vmlinuz-fedup root=/dev/VolGroup10/LogVol00 rd.md.uuid=430fb326:f5f7f6c8:bfe78010:bc810f04 rd.md.uuid=97445206:408883b4:a3ae4eca:c35f1c95 ro rhgb rdblacklist=nouveau noveau.modeset=0 vconsole.font=latarcyrheb-sun16 locale.LANG=en_US.UTF-8 vconsole.keymap=us nouveau.modeset=0 rd.driver.blacklist=nouveau video=vesa:off LANG=en_US.UTF-8 upgrade systemd.unit=system-upgrade.target plymouth.splash=fedup selinux=0
	initrd /initramfs-fedup.img


Trying /root=UUID=e4fb2055-2d98-4347-b280-7668d355dc31,
rd.lvm.lv=VolGroup10-LogVol00,
rd.lvm.lv=VolGroup10-LogVol01
rd.lvm.lv=VolGroup10-LogVol02

with no Luck...
Comment 2 Fedora End Of Life 2013-12-21 09:14:21 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2014-02-05 17:03:44 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.